
camera {
   angle !ANGLE!
   !PATH!
}

global_settings {
   ambient_light
   rgb <1,1,1>
}

background {
   color rgb <!BACKGROUNDCOLOR!>
}

light_source {
   !LIGHT!
   color rgb <1,1,1>
}

julia_fractal {
   <!C!>
   quaternion
   sqr                       // Q(n+1) = Q(n)^2 + c
   max_iteration !MAXIT!         // Default: 20
   precision !PRECISION!            // Default: 20
   slice <!SLICE!>,!X4!         // Progressive slices
   pigment {
      rgbf <!FRACTCOLOR!>
   }
   finish {
      ambient 0.3
      diffuse 0.7
      specular 1
      brilliance 5
      metallic
      roughness 0.1
      reflection 0.3
   }
}

