
/*
 *  Gtk_ToolWindow.h
 *
 *  Basic Class for Secondary Programm Windows.
 *
 *  Copyright (C) 2002 Tobias Dyckerhoff
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */


#include "Gtk_ToolWindow.h"


ToolWindow::ToolWindow()
{
 /** window is hiding in the beginning by default*/
  active=0;
}


void ToolWindow::set_active(gboolean state)
{
  if (state) 
    {
      active=1;
      show_all();
    }
  else
    {
      active=0;
      hide_all(); 
    }

}


/*i dont want the widget to be destroyed when closed but to go inactive and hide*/
int ToolWindow::delete_event_impl(GdkEventAny* event)
{

  main_button.set_active(false);

  /* returnig true means it wont be destroyed */
  return true;
}



