/*
 *  Waypoint.cc
 *
 *  waypoint entity
 *
 *  Copyright (C) 2002 Tobias Dyckerhoff
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */




#include "Waypoint.h"


using SigC::bind;
using SigC::slot;

Waypoint::Waypoint()
{
  x4=0;
  time=0;
}


int Waypoint::set_time(double p)
{
  time=p;
  time_update(time);
}

int Waypoint::set_x4(double p)
{
  x4=p;
  x4_update(x4);
}
